Package com.enonic.xp.content

## Class ContentPropertyNames

- java.lang.Object
- - com.enonic.xp.content.ContentPropertyNames

-     @PublicApi
      public final class ContentPropertyNames
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `APPLICATION_KEY` |
    `static String` | `ARCHIVED_BY` |
    `static String` | `ARCHIVED_TIME` |
    `static String` | `ATTACHMENT` |
    `static String` | `ATTACHMENT_BINARY_REF` |
    `static String` | `ATTACHMENT_LABEL` |
    `static String` | `ATTACHMENT_MIMETYPE` |
    `static String` | `ATTACHMENT_NAME` |
    `static String` | `ATTACHMENT_SHA512` |
    `static String` | `ATTACHMENT_SIZE` |
    `static String` | `ATTACHMENT_TEXT` |
    `static String` | `ATTACHMENT_TEXT_COMPONENT` |
    `static String` | `CREATED_TIME` |
    `static String` | `CREATOR` |
    `static String` | `DATA` |
    `static String` | `DISPLAY_NAME` |
    `static String` | `EXTRA_DATA` |
    `static String` | `FORM` |
    `static String` | `INHERIT` |
    `static String` | `LANGUAGE` |
    `static String` | `MEDIA` |
    `static String` | `MEDIA_ATTACHMENT` |
    `static String` | `MEDIA_CROPPING` |
    `static String` | `MEDIA_CROPPING_BOTTOM` |
    `static String` | `MEDIA_CROPPING_LEFT` |
    `static String` | `MEDIA_CROPPING_RIGHT` |
    `static String` | `MEDIA_CROPPING_TOP` |
    `static String` | `MEDIA_CROPPING_ZOOM` |
    `static String` | `MEDIA_FOCAL_POINT` |
    `static String` | `MEDIA_FOCAL_POINT_X` |
    `static String` | `MEDIA_FOCAL_POINT_Y` |
    `static String` | `MODIFIED_TIME` |
    `static String` | `MODIFIER` |
    `static String` | `ORIENTATION` |
    `static String` | `ORIGIN_PROJECT` |
    `static String` | `ORIGINAL_NAME` |
    `static String` | `ORIGINAL_PARENT_PATH` |
    `static String` | `OWNER` |
    `static String` | `PAGE` |
    `static String` | `PROCESSED_REFERENCES` |
    `static String` | `PUBLISH_FIRST` |
    `static String` | `PUBLISH_FROM` |
    `static String` | `PUBLISH_INFO` |
    `static String` | `PUBLISH_TO` |
    `static String` | `SITE` |
    `static String` | `SITECONFIG` |
    `static String` | `TYPE` |
    `static String` | `VALID` |
    `static String` | `VALIDATION_ERRORS` |
    `static String` | `VARIANT_OF` |
    `static String` | `WORKFLOW_INFO` |
    `static String` | `WORKFLOW_INFO_CHECKS` |
    `static String` | `WORKFLOW_INFO_STATE` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGE

          public static final String PAGE

      See Also:
        Constant Field Values

    - #### SITECONFIG

          public static final String SITECONFIG

      See Also:
        Constant Field Values

    - #### APPLICATION_KEY

          public static final String APPLICATION_KEY

      See Also:
        Constant Field Values

    - #### ATTACHMENT_TEXT_COMPONENT

          public static final String ATTACHMENT_TEXT_COMPONENT

      See Also:
        Constant Field Values

    - #### FORM

          public static final String FORM

      See Also:
        Constant Field Values

    - #### SITE

          public static final String SITE

      See Also:
        Constant Field Values

    - #### DATA

          public static final String DATA

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### DISPLAY_NAME

          public static final String DISPLAY_NAME

      See Also:
        Constant Field Values

    - #### VALID

          public static final String VALID

      See Also:
        Constant Field Values

    - #### VALIDATION_ERRORS

          public static final String VALIDATION_ERRORS

      See Also:
        Constant Field Values

    - #### EXTRA_DATA

          public static final String EXTRA_DATA

      See Also:
        Constant Field Values

    - #### MEDIA

          public static final String MEDIA

      See Also:
        Constant Field Values

    - #### MEDIA_ATTACHMENT

          public static final String MEDIA_ATTACHMENT

      See Also:
        Constant Field Values

    - #### MEDIA_FOCAL_POINT

          public static final String MEDIA_FOCAL_POINT

      See Also:
        Constant Field Values

    - #### MEDIA_FOCAL_POINT_X

          public static final String MEDIA_FOCAL_POINT_X

      See Also:
        Constant Field Values

    - #### MEDIA_FOCAL_POINT_Y

          public static final String MEDIA_FOCAL_POINT_Y

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING

          public static final String MEDIA_CROPPING

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING_TOP

          public static final String MEDIA_CROPPING_TOP

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING_LEFT

          public static final String MEDIA_CROPPING_LEFT

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING_BOTTOM

          public static final String MEDIA_CROPPING_BOTTOM

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING_RIGHT

          public static final String MEDIA_CROPPING_RIGHT

      See Also:
        Constant Field Values

    - #### MEDIA_CROPPING_ZOOM

          public static final String MEDIA_CROPPING_ZOOM

      See Also:
        Constant Field Values

    - #### ORIENTATION

          public static final String ORIENTATION

      See Also:
        Constant Field Values

    - #### ATTACHMENT

          public static final String ATTACHMENT

      See Also:
        Constant Field Values

    - #### ATTACHMENT_LABEL

          public static final String ATTACHMENT_LABEL

      See Also:
        Constant Field Values

    - #### ATTACHMENT_NAME

          public static final String ATTACHMENT_NAME

      See Also:
        Constant Field Values

    - #### PUBLISH_INFO

          public static final String PUBLISH_INFO

      See Also:
        Constant Field Values

    - #### PUBLISH_FROM

          public static final String PUBLISH_FROM

      See Also:
        Constant Field Values

    - #### PUBLISH_TO

          public static final String PUBLISH_TO

      See Also:
        Constant Field Values

    - #### PUBLISH_FIRST

          public static final String PUBLISH_FIRST

      See Also:
        Constant Field Values

    - #### ATTACHMENT_MIMETYPE

          public static final String ATTACHMENT_MIMETYPE

      See Also:
        Constant Field Values

    - #### ATTACHMENT_BINARY_REF

          public static final String ATTACHMENT_BINARY_REF

      See Also:
        Constant Field Values

    - #### ATTACHMENT_SIZE

          public static final String ATTACHMENT_SIZE

      See Also:
        Constant Field Values

    - #### ATTACHMENT_SHA512

          public static final String ATTACHMENT_SHA512

      See Also:
        Constant Field Values

    - #### ATTACHMENT_TEXT

          public static final String ATTACHMENT_TEXT

      See Also:
        Constant Field Values

    - #### OWNER

          public static final String OWNER

      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### CREATOR

          public static final String CREATOR

      See Also:
        Constant Field Values

    - #### MODIFIER

          public static final String MODIFIER

      See Also:
        Constant Field Values

    - #### CREATED_TIME

          public static final String CREATED_TIME

      See Also:
        Constant Field Values

    - #### MODIFIED_TIME

          public static final String MODIFIED_TIME

      See Also:
        Constant Field Values

    - #### VARIANT_OF

          public static final String VARIANT_OF

      See Also:
        Constant Field Values

    - #### PROCESSED_REFERENCES

          public static final String PROCESSED_REFERENCES

      See Also:
        Constant Field Values

    - #### WORKFLOW_INFO

          public static final String WORKFLOW_INFO

      See Also:
        Constant Field Values

    - #### WORKFLOW_INFO_STATE

          public static final String WORKFLOW_INFO_STATE

      See Also:
        Constant Field Values

    - #### WORKFLOW_INFO_CHECKS

          public static final String WORKFLOW_INFO_CHECKS

      See Also:
        Constant Field Values

    - #### INHERIT

          public static final String INHERIT

      See Also:
        Constant Field Values

    - #### ORIGIN_PROJECT

          public static final String ORIGIN_PROJECT

      See Also:
        Constant Field Values

    - #### ORIGINAL_NAME

          public static final String ORIGINAL_NAME

      See Also:
        Constant Field Values

    - #### ORIGINAL_PARENT_PATH

          public static final String ORIGINAL_PARENT_PATH

      See Also:
        Constant Field Values

    - #### ARCHIVED_TIME

          public static final String ARCHIVED_TIME

      See Also:
        Constant Field Values

    - #### ARCHIVED_BY

          public static final String ARCHIVED_BY

      See Also:
        Constant Field Values